kr.co.hanwha.hifive.util

## Class HFNotiUtil

- java.lang.Object
- - kr.co.hanwha.hifive.util.HFNotiUtil

    public class HFNotiUtil
    extends java.lang.Object

Created by sanghoonkwon on 2018. 1. 22..

### Field Summary

Fields
`static java.lang.String` `KEY_BODY`
`static java.lang.String` `KEY_DB_CODE`
`static java.lang.String` `KEY_GROUP_ID`
`static java.lang.String` `KEY_MESSAGE`
`static java.lang.String` `KEY_TITLE`
`static java.lang.String` `KEY_TYPE`
`static java.lang.String` `KEY_VALUE1`
`static java.lang.String` `KEY_VALUE2`
`static java.lang.String` `KEY_VALUE3`

### Constructor Summary

Constructors
Constructor and Description
`HFNotiUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static android.graphics.drawable.Drawable` `getAlarmIconDrawable(android.content.Context context, int context_id)` 알림 목록 아이콘
`static void` `pendingNotification(android.content.Context context, AlarmData data)`
`static void` `pendingNotification(android.content.Context context, NotificationData data)`
`static void` `setNotificationData(android.content.Context context, NotificationData data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### KEY_GROUP_ID

    public static java.lang.String KEY_GROUP_ID

#### KEY_TITLE

    public static java.lang.String KEY_TITLE

#### KEY_BODY

    public static java.lang.String KEY_BODY

#### KEY_MESSAGE

    public static java.lang.String KEY_MESSAGE

#### KEY_TYPE

    public static java.lang.String KEY_TYPE

#### KEY_VALUE1

    public static java.lang.String KEY_VALUE1

#### KEY_VALUE2

    public static java.lang.String KEY_VALUE2

#### KEY_VALUE3

    public static java.lang.String KEY_VALUE3

#### KEY_DB_CODE

    public static java.lang.String KEY_DB_CODE

### Constructor Detail

#### HFNotiUtil

    public HFNotiUtil()

### Method Detail

#### pendingNotification

    public static void pendingNotification(@NonNull
                                           android.content.Context context,
                                           NotificationData data)

#### pendingNotification

    public static void pendingNotification(@NonNull
                                           android.content.Context context,
                                           AlarmData data)

#### setNotificationData

    public static void setNotificationData(@NonNull
                                           android.content.Context context,
                                           @NonNull
                                           NotificationData data)

#### getAlarmIconDrawable

    public static android.graphics.drawable.Drawable getAlarmIconDrawable(android.content.Context context,
                                                                          int context_id)

알림 목록 아이콘

Parameters:
  `context` - Context
  `context_id` - 랜딩 타입
Returns:
  알림 목록 아이콘